Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# threadpool.hh File Reference

A GThreadPool C++ wrapper interface. More...

`#include <xfc/object.hh>`
`#include <glib/gthreadpool.h>`
`#include <vector>`
`#include <xfc/glib/inline/threadpool.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::ThreadPool
    A GThreadPool C++ wrapper interface. More...

## Detailed Description

A GThreadPool C++ wrapper interface.

Provides ThreadPool, a object that manages pools of threads to execute work concurrently.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3